
function Skinner:Cartographer()
	if not self.db.profile.WorldMap then return end
	
	if CartographerLookNFeelNonOverlayHolder then
		self:keepFontStrings(CartographerLookNFeelNonOverlayHolder)
	end
	
	self:SecureHook(Cartographer_Notes, "OpenNewNoteFrame", function(this, x, y, creator)
-- 		self:Debug("C_N_ONNF: [%s, %s, %s]", x, y, creator)
		self:skinNNF()
		end)

		self:SecureHook(Cartographer_Notes, "ShowEditDialog", function(this, zone, x, y)
-- 			self:Debug("C_N_SED: [%s, %s, %s]", zone, x, y)
			self:skinNNF()
			end)
		
	
end

function Skinner:skinNNF()

	if not CartographerNotesNewNoteFrame.skinned then
		self:keepFontStrings(CartographerNotesNewNoteFrame)
		self:moveObject(CartographerNotesNewNoteFrame.header, nil, nil, "+", 6, CartographerNotesNewNoteFrame)
		local last = nil 
		for k, v in pairs{ CartographerNotesNewNoteFrame:GetChildren() } do
			if v:GetObjectType() == "EditBox"  then 
				self:skinEditBox(v, {9})
				if last then 
					self:moveObject(v, nil, nil, "+", 15, last)
				end
				last = v
			end
		end
		self:keepFontStrings(CartographerNotesNewNoteFrameIcon)
		-- show the Raid Icon
		self:getRegion(CartographerNotesNewNoteFrameIcon, 5):SetAlpha(1)
		self:applySkin(CartographerNotesNewNoteFrame)
		CartographerNotesNewNoteFrame.skinned = true
	end

end
