
function Skinner:Auctioneer()
    if not self.db.profile.AuctionFrame or self.initialized.Auctioneer then return end
-- 	 self:Debug("Auctioneer Loaded: [%s]", AuctionFrame.numTabs)

    if AuctionFrame.numTabs < 5  then
		self:ScheduleEvent(self.Auctioneer, 0.1, self)
		return
	end
	
	self.initialized.Auctioneer= true
	    
    for k, tabName in pairs({ AuctionFrameTabSearch, AuctionFrameTabPost }) do
		self:keepRegions(tabName, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
		if self.db.profile.TexturedTab then 
            self:applySkin(tabName, nil, 0)
            self:setInactiveTab(tabName)
        else 
            self:applySkin(tabName)
        end
		if IsAddOnLoaded("IgorsMassAuction") then self:moveObject(tabName, "+", 3, nil, nil) end
    end
    
-->>-- Search Frame
    for k, v in pairs({ "SavedSearch", "Search", "BidTimeLeft", "BidCategory", "BidMinQuality", "BuyoutCategory", "BuyoutMinQuality", "PlainCategory", "PlainMinQuality", "ListColumn1", "ListColumn2", "ListColumn3", "ListColumn4", "ListColumn5", "ListColumn6" }) do
        self:keepFontStrings(_G["AuctionFrameSearch"..v.."DropDown"])
    end

	self:moveObject(AuctionFrameSearchSavedSearchDropDownButton, "+", 2, nil, nil)
    
    for i = 1, 6 do
		local afslc = _G["AuctionFrameSearchListColumn"..i.."Sort"]
        self:keepRegions(afslc, {4, 5, 6}) -- N.B. region 4 is text, 5 is the arrow, 6 is the highlight
        self:applySkin(afslc)
    end
    
    self:keepFontStrings(AuctionFrameSearchListScrollFrame)
    self:skinScrollBar(AuctionFrameSearchListScrollFrame) 

	self:skinMoneyFrame(AuctionFrameSearchBidMinProfit, true)
	self:skinMoneyFrame(AuctionFrameSearchBuyoutMinProfit, true)
	self:skinMoneyFrame(AuctionFrameSearchCompeteUndercut, true)
	self:skinMoneyFrame(AuctionFrameSearchPlainMaxPrice, true)
	
	self:skinEditBox(AuctionFrameSearchSaveSearchEdit, {9})
	self:moveObject(AuctionFrameSearchBidMinPercentLessEdit, nil, nil, "+", 4)
	self:skinEditBox(AuctionFrameSearchBidMinBidPctEdit, {9})
	self:skinEditBox(AuctionFrameSearchBidMinPercentLessEdit, {9})
	self:moveObject(AuctionFrameSearchBidSearchEdit, "-", 5, "+", 4)
	self:skinEditBox(AuctionFrameSearchBidSearchEdit, {9})
	self:moveObject(AuctionFrameSearchBuyoutMinPercentLessEdit, nil, nil, "+", 4)
	self:skinEditBox(AuctionFrameSearchBuyoutMinPercentLessEdit, {9})
	self:moveObject(AuctionFrameSearchBuyoutSearchEdit, "-", 5, "+", 4)
	self:skinEditBox(AuctionFrameSearchBuyoutSearchEdit, {9})
	self:moveObject(AuctionFrameSearchPlainSearchEdit, "-", 5, "+", 4)
	self:skinEditBox(AuctionFrameSearchPlainSearchEdit, {9})
        
-->>-- Post Frame
    self:removeRegions(AuctionFramePostAuctionItem, {1}) -- N.B. all other regions are text or icon texture
    self:applySkin(AuctionFramePostAuctionItem)
        
    for k, v in pairs({ "PriceModel", "ListColumn1", "ListColumn2", "ListColumn3", "ListColumn4", "ListColumn5", "ListColumn6" }) do
        self:keepFontStrings(_G["AuctionFramePost"..v.."DropDown"])
    end

    for i = 1, 6 do
		local afplc = _G["AuctionFramePostListColumn"..i.."Sort"]
        self:keepRegions(afplc, {4, 5, 6}) -- N.B. region 4 is text, 5 is the arrow, 6 is the highlight
        self:applySkin(afplc)
    end
    
    self:keepFontStrings(AuctionFramePostListScrollFrame)
    self:skinScrollBar(AuctionFramePostListScrollFrame) 

	self:moveObject(AuctionFramePostStartPrice, "-", 5, "+", 5)
	self:skinMoneyFrame(AuctionFramePostStartPrice, true)
	self:moveObject(AuctionFramePostBuyoutPrice, "-", 5, "+", 5)
	self:skinMoneyFrame(AuctionFramePostBuyoutPrice, true)

	self:moveObject(AuctionFramePostStackSize, "-", 5, "+", 5)
	self:skinEditBox(AuctionFramePostStackSize, {9})
	self:skinEditBox(AuctionFramePostStackCount, {9})

end
                      
function Skinner:BeanCounter()
	if not self.db.profile.AuctionFrame then return end
--	self:Debug("BeanCounter Loaded: [%s]", AuctionFrame.numTabs)
	                           
	self:keepFontStrings(AuctionFrameTransactionsListScrollFrame)
	self:skinScrollBar(AuctionFrameTransactionsListScrollFrame)
	self:skinEditBox(AuctionFrameTransactionsSearchSearchEdit, {9})
	self:moveObject(AuctionFrameTransactionsSearchSearchEdit, "-", 6, "+", 4)
	
    self:keepRegions(AuctionFrameTabTransactions, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
	if self.db.profile.TexturedTab then 
        self:applySkin(AuctionFrameTabTransactions, nil, 0)
        self:setInactiveTab(AuctionFrameTabTransactions)
    else 
        self:applySkin(AuctionFrameTabTransactions)
    end

end
    
function Skinner:BtmScan()
	if not self.db.profile.AuctionFrame then return end
--	self:Debug("BtmScan Loaded: [%s]", AuctionFrame.numTabs)
	
	-- loop until tab button created
	if not AuctionFrameTabBtmScan then
		self:ScheduleEvent(self.BtmScan, 0.1, self)
		return
	end
    
    self:HookScript(AuctionFrameTabBtmScan, "OnClick", function()
--		self:Debug("AuctionFrameTabBtmScan-OnClick")
		self.hooks[AuctionFrameTabBtmScan].OnClick()
		self:moveObject(BtmScanLogFrame:GetParent(), "-", 10, nil, nil)
		end)

-->>-- Prompt & Input Frames		
	self:applySkin(BtmScan.Prompt)	
	self:keepFontStrings(BtmScanInputScroll)
	self:skinScrollBar(BtmScanInputScroll)
	self:applySkin(BtmScan.Input)
	
	self:keepFontStrings(BtmScanLogFrame)
	self:skinScrollBar(BtmScanLogFrame)
	BtmScanLogFrame:GetParent():SetWidth(BtmScanLogFrame:GetParent():GetWidth() + 10)
	self:applySkin(BtmScanLogFrame:GetParent())
	
    self:keepRegions(AuctionFrameTabBtmScan, {7, 8}) -- N.B. region 7 is the Text, 8 is the highlight
	self:moveObject(AuctionFrameTabBtmScan, "+", 3, nil, nil)
	if AuctionFrameTabTransactions then self:moveObject(AuctionFrameTabTransactions, "+", 3, nil, nil) end
	if self.db.profile.TexturedTab then 
        self:applySkin(AuctionFrameTabBtmScan, nil, 0)
        self:setInactiveTab(AuctionFrameTabBtmScan)
    else 
        self:applySkin(AuctionFrameTabBtmScan)
    end

end

function Skinner:AucAdvanced()
	if not self.db.profile.AuctionFrame then return end

-- 	self:Debug("AucAdvanced")

	-- loop until Appraiser Module is loaded
	if not AucAdvanced.Modules.Util.Appraiser then
		self:ScheduleEvent(self.AucAdvanced, 0.1, self)
		return
	end

	-->-- Appraiser
	self:SecureHook(AucAdvanced.Modules.Util.Appraiser.Private, "CreateFrames", function()
-- 		self:Debug("AA.M.U.A.P_CF")
		local frame = AucAdvanced.Modules.Util.Appraiser.Private.frame
		-->>-- itembox frame
		self:applySkin(frame.itembox)
		-->>-- salebox frame
		self:applySkin(frame.salebox)
		self:keepFontStrings(AppraiserSaleboxModel)
		frame.salebox.bid:ClearAllPoints()
		frame.salebox.bid:SetPoint("TOP", frame.salebox.number, "BOTTOM", 0, -5)
		frame.salebox.bid:SetPoint("RIGHT", frame.salebox, "RIGHT", -10, 0)
		self:moveObject(AppraiserSaleboxBidSilver, "-", 10, nil, nil)
		self:skinMoneyFrame(AppraiserSaleboxBid)
		self:moveObject(AppraiserSaleboxBuySilver, "-", 10, nil, nil)
		self:skinMoneyFrame(AppraiserSaleboxBuy)
		-->>-- imageview frame
		self:applySkin(frame.imageview)
		self:moveObject(frame.refresh, nil, nil, "-", 6, frame)
		self:moveObject(frame.gobatch, nil, nil, "-", 6, frame)
		self:moveObject(frame.go, nil, nil, "-", 6, frame)
		-->>-- manifest frame
		self:applySkin(frame.manifest)
		end)
	
	-->>-- Tooltip (uses the EnhancedTooltip so skin it here if required)		
	if self.db.profile.Tooltips.skin then
		self:SecureHook(AucAdvanced.Modules.Util.Appraiser, "ProcessTooltip", function(...)
-- 			self:Debug("AA.M.U.A_PT")
			self:EnhTooltip()
			self:Unhook(AucAdvanced.Modules.Util.Appraiser, "ProcessTooltip")
			end)
	end

	-- hook this to skin scroll bars
	self:Hook(LibStub:GetLibrary("PanelScroller"), "Create", function(this, name, parent)
-- 		self:Debug("nPS_C: [%s, %s, %s]", this, name, parent)
		local sb = self.hooks[LibStub:GetLibrary("PanelScroller")].Create(this, name, parent)
		self:skinUsingBD2(sb.hScroll)
		self:skinUsingBD2(sb.vScroll)
		return sb
		end, true)
	
	-- hook this to skin Configator frames
	self:Hook(LibStub:GetLibrary("Configator"), "Create", function(this, setter, getter)
		local frame = self.hooks[LibStub:GetLibrary("Configator")].Create(this, setter, getter)
-- 		self:Debug("nC_C: [%s]", frame:GetName())
		if not frame.skinned then
			self:applySkin(frame)
			frame.skinned = true
		end
		-- hook this to skin various controls
		self:Hook(frame, "AddControl", function(this, id, cType, column, ...)
-- 			self:Debug("nC_C_AC: [%s, %s, %s, %s]", id, cType, column, ...)
			local control = self.hooks[frame].AddControl(this, id, cType, column, ...)
			-- skin the sub-frame if required
			if not this.tabs[id][2].skinned then 
				self:applySkin(this.tabs[id][2])
				this.tabs[id][2].skinned = true
			end
			-- skin the DropDown
			if cType == "Selectbox" then 
				self:keepFontStrings(control)
				if not SelectBoxMenu.skinned then 
					self:applySkin(SelectBoxMenu.back)
					SelectBoxMenu.skinned= true
				end
			end
			if cType == "Text" then self:skinEditBox(control, {9}) end
			if cType == "NumberBox" then self:skinEditBox(control, {9}) end
			if cType == "MoneyFrame" or cType == "MoneyFramePinned" then self:skinMoneyFrame(control) end
			return control
			end, true)
		return frame
		end, true)
	
end
