
function Skinner:Perl_Config_Options()

	self:Hook("Perl_Config_Set_Background", function(newvalue) end, true)

--Config                             
	Perl_Config_Header:Hide()
	self:moveObject(Perl_Config_Header, nil, nil, "-", 6)
	Perl_Config_NotInstalled_Header:Hide()
	Perl_Config_All_Header:Hide()
	self:keepFontStrings(Perl_Config_All_Frame_DropDown1)
	Perl_Config_ArcaneBar_Header:Hide()
	Perl_Config_CombatDisplay_Header:Hide()
	Perl_Config_Focus_Header:Hide()
	Perl_Config_Party_Header:Hide()
	Perl_Config_Party_Pet_Header:Hide()
	Perl_Config_Party_Target_Header:Hide()
	Perl_Config_Player_Header:Hide()
	Perl_Config_Player_Buff_Header:Hide()
	Perl_Config_Player_Pet_Header:Hide()
	Perl_Config_Target_Header:Hide()
	Perl_Config_Target_Target_Header:Hide()

	self:applySkin(Perl_Config_Frame)
	
end
     
function Skinner:Perl_Player()

--Player
	for _, f in pairs({ "Name", "Stats", "Level", "Portrait", "RaidGroupNumber" }) do
		local fName = _G["Perl_Player_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana", "Druid" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_Player_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end
	self:glazeStatusBar(Perl_Player_XPBar)
	self:glazeStatusBar(Perl_Player_XPBarBG)
	self:glazeStatusBar(Perl_Player_XPRestBar)
	self:glazeStatusBar(Perl_Player_EnergyTicker, 0)
	self:glazeStatusBar(Perl_ArcaneBar_player, 0)

end

function Skinner:Perl_Player_Pet()

--Player Pet
	for _, f in pairs({ "Name", "Stats", "Level", "Portrait", "Target_Name", "Target_Stats" }) do
		local fName = _G["Perl_Player_Pet_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana", "Target_Health", "Target_Mana" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_Player_Pet_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end

	self:glazeStatusBar(Perl_Player_Pet_XPBar)
	self:glazeStatusBar(Perl_Player_Pet_XPBarBG)

end
        
function Skinner:Perl_Focus()

--Focus
	for _, f in pairs({ "Name", "Stats", "Level", "Portrait", "ClassName", "Civilian", "RareElite" }) do
		local fName = _G["Perl_Focus_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_Focus_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end
	self:glazeStatusBar(Perl_Focus_NameFrame_CPMeter, 0)
  	self:glazeStatusBar(Perl_ArcaneBar_focus, 0)
	
  	RaiseFrameLevel(Perl_Focus_Name)

--Focus Target
	for _, f in pairs({ "Name", "Stats" }) do
		local fName = _G["Perl_Party_Target5_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end
	self:glazeStatusBar(Perl_Party_Target5_HealthBar, 0)
	self:glazeStatusBar(Perl_Party_Target5_ManaBar, 0)

end

function Skinner:Perl_Target()

--Target
	for _, f in pairs({ "Name", "Stats", "Level", "Portrait", "ClassName", "Guild", "CP", "RareElite" }) do
		local fName = _G["Perl_Target_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_Target_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end
	self:glazeStatusBar(Perl_Target_NameFrame_CPMeter, 0)
	self:glazeStatusBar(Perl_ArcaneBar_target, 0)
	
	RaiseFrameLevel(Perl_Target_Name)

end

function Skinner:Perl_Target_Target()

--Target Target
	for _, f in pairs({ "Name", "Stats", "Target_Name", "Target_Stats" }) do
		local fName = _G["Perl_Target_Target_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana", "Target_Health", "Target_Mana" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_Target_Target_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end

end
 
function Skinner:Perl_Party()

--Party
	for i = 1, 4 do
		for _, f in pairs({ "Name", "NameFrame", "StatsFrame", "LevelFrame", "PortraitFrame" }) do
			local fName = _G["Perl_Party_MemberFrame"..i.."_"..f]
			if self:IsHooked(fName, "SetBackdropColor") then
				self:Unhook(fName, "SetBackdropColor")
				self:Unhook(fName, "SetBackdropBorderColor")
			end
			self:applySkin(fName)
			self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
			self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
		end
		for _, b in pairs({ "Health", "Mana", "PetHealth" }) do
			for _, t in pairs({ "", "FadeBar", "BG" }) do
				local bName = _G["Perl_Party_MemberFrame"..i.."_"..b.."Bar"..t]
				self:glazeStatusBar(bName)
			end
		end
		local AbName = _G["Perl_ArcaneBar_party"..i]
		self:glazeStatusBar(AbName, 0)
	end
		
end
  
function Skinner:Perl_Party_Pet()

--Party Pet
	for i = 1, 4 do
		for _, f in pairs({ "Name", "Stats", "Portrait" }) do
			local fName = _G["Perl_Party_Pet"..i.."_"..f.."Frame"]
			if self:IsHooked(fName, "SetBackdropColor") then
				self:Unhook(fName, "SetBackdropColor")
				self:Unhook(fName, "SetBackdropBorderColor")
			end
			self:applySkin(fName)
			self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
			self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
		end
		for _, b in pairs({ "Health", "Mana" }) do
			for _, t in pairs({ "", "FadeBar", "BG" }) do
				local bName = _G["Perl_Party_Pet"..i.."_"..b.."Bar"..t]
				self:glazeStatusBar(bName)
			end
		end
	end

end

function Skinner:Perl_Party_Target()

--Party Target
	for i = 1, 4 do
		for _, f in pairs({ "Name", "Stats" }) do
			local fName = _G["Perl_Party_Target"..i.."_"..f.."Frame"]
			if self:IsHooked(fName, "SetBackdropColor") then
				self:Unhook(fName, "SetBackdropColor")
				self:Unhook(fName, "SetBackdropBorderColor")
			end
			self:applySkin(fName)
			self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
			self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
		end
		for _, b in pairs({ "Health", "Mana" }) do
			for _, t in pairs({ "", "FadeBar", "BG" }) do
				local bName = _G["Perl_Party_Target"..i.."_"..b.."Bar"..t]
				self:glazeStatusBar(bName)
			end
		end
	end
	
end
	
function Skinner:Perl_CombatDisplay()

--Combat Display
	for _, f in pairs({ "Mana", "Target_Mana" }) do
		local fName = _G["Perl_CombatDisplay_"..f.."Frame"]
		if self:IsHooked(fName, "SetBackdropColor") then
			self:Unhook(fName, "SetBackdropColor")
			self:Unhook(fName, "SetBackdropBorderColor")
		end
		self:applySkin(fName)
		self:Hook(fName, "SetBackdropColor", function(this, ...) end, true)
		self:Hook(fName, "SetBackdropBorderColor", function(this, ...) end, true)
	end

	for _, b in pairs({ "Health", "Mana", "Druid", "CP", "PetHealth", "PetMana", "Target_Health", "Target_Mana" }) do
		for _, t in pairs({ "", "FadeBar", "BG" }) do
			local bName = _G["Perl_CombatDisplay_"..b.."Bar"..t]
			self:glazeStatusBar(bName)
		end
	end

end
