
function Skinner:RockConfig()

-- 	self:Debug("RockConfig skin ,loaded")
	
	for object in Rock:IterateMixinObjects("LibRockConfig-1.0") do
-- 		self:Debug("Rock_IMO: [%s]", object)
		self:SecureHook(object, "OpenConfigMenu", function(this, ...)
-- 			self:Debug("IMO OpenConfigMenu: [%s, %s]", this, ... or nil)
			self:RC_Skin()
			self:Unhook(this, "OpenConfigMenu")
			end)
	end
	self:SecureHook(Rock("LibRockConfig-1.0"), "OpenConfigMenu", function(this, ...)
-- 		self:Debug("LibRockConfig OpenConfigMenu: [%s, %s]", this, ... or nil)
		self:RC_Skin()
		self:Unhook(this, "OpenConfigMenu")
		end)
	
end

function Skinner:RC_Skin()

	local frame = _G["LibRockConfig-1.0_Frame"]
	
	if not frame.skinned then
	-->>-- Main Frame
		self:keepFontStrings(frame)
		self:keepFontStrings(frame.header)
		self:moveObject(frame.titleText, nil, nil, "-", 8)
		self:applySkin(frame)
	-->>-- Treeview Frame
		self:keepFontStrings(frame.treeView.scrollFrame)
		self:skinScrollBar(frame.treeView.scrollFrame, "_")
		self:applySkin(frame.treeView)
	-->>-- Mainpane Frame
		self:skinScrollBar(frame.mainPane, "_")
		self:applySkin(frame.mainPane)
		frame.skinned = true
	end

	-- hook this to skin the ChoicePullout
	local btn = _G["LibRockConfig-1.0_Frame_AddonChooser_Button"]
	if not self:IsHooked(btn, "OnClick") then
		self:HookScript(btn, "OnClick", function(this, ...)
-- 			self:Debug("LRCF_AC_B_OnClick: [%s, %s]", this:GetName(), ...)
		    self.hooks[btn].OnClick(this, ...)
			self:applySkin(_G["LibRockConfig-1.0_Frame_MainPane_ChoicePullout"])
			self:Unhook(this, "OnClick")
			end)
	end

end
