
function Skinner:Waterfall()

	self:SecureHook(AceLibrary("Waterfall-1.0"), "Open", function(id, pane)
-- 		self:Debug("WaterfallOpen: [%s, %s]", id, pane)
		local wfinfo = AceLibrary("Waterfall-1.0").registry[pane]
		for k, v in pairs(wfinfo) do
-- 			self:Debug("wf Info: [%s, %s]", k, v)
			if k == "frame" then
				for k1, v1 in pairs(v) do
-- 					self:Debug("wf/frame Info: [%s, %s]", k1, v1)
					if k1 == "mainpane" then
						for k11, v11 in pairs(wfinfo) do
-- 							self:Debug("wf/frame/mainpane Info: [%s, %s]", k11, v11)
						end
					end
					if k1 == "treeview" then
						for k12, v12 in pairs(wfinfo) do
-- 							self:Debug("wf/frame/treeview Info: [%s, %s]", k12, v12)
						end
					end
				end
			end
		end
		self:Skin_Waterfall(wfinfo.frame)
		end)

end

local waterfallsSkinned = {}

function Skinner:Skin_Waterfall(frame)

	local scrollframe
	local scrollbar
	if not waterfallsSkinned[frame] then 
		-- Main Frame
		frame.titlebar:Hide()
		frame.titlebar2:Hide()
		self:applySkin(frame.frame)
		-- Treeview Frame
--		getChildren(frame.treeview.frame, 1)
		scrollframe = self:getChild(frame.treeview.frame, 1)
		scrollbar   = self:getChild(scrollframe, 2)
		self:skinScrollBar(scrollframe, nil, scrollbar)
		self:applySkin(frame.treeview.frame)
		-- Mainpane Frame
--		getChildren(frame.mainpane.frame, 1)
		scrollframe = self:getChild(frame.mainpane.frame, 1)
		scrollbar   = self:getChild(scrollframe, 2)
		self:skinScrollBar(scrollframe, nil, scrollbar)
		self:getRegion(frame.mainpane.frame, 11):Hide()
		self:getRegion(frame.mainpane.frame, 12):Hide()
		self:applySkin(frame.mainpane.frame)

		waterfallsSkinned[frame] = true
	end

	
end

function getRegions(frame)
	for k, v in pairs({ frame:GetRegions() }) do
-- 		Skinner:Debug("frame regions: [%s, %s, %s, %s, %s, %s]", k, (v:GetName() or "???"), (v:GetObjectType() or "???"), (v:GetWidth() or "???"), (v:GetHeight() or "???"), (v:GetObjectType() == "Texture" and v:GetTexture() or "???"))
	end
end

function getChildren(frame, lvl)
--	Skinner:Debug("Frame: [%s]", frame)
  for k,v in pairs{ frame:GetChildren() } do
--     Skinner:Debug("[lvl "..lvl.."-"..k.." : "..(v:GetName() or "???").." : "..(v:GetObjectType() or "???").." : "..(v:GetWidth() or "???").." : "..(v:GetHeight() or "???").."]")
    if v:GetObjectType() == "Frame"  then getChildren(v, lvl.."-"..k) end
    if v:GetObjectType() == "ScrollFrame"  then getChildren(v, lvl.."-"..k)  end
    if v:GetObjectType() == "Button"  then getChildren(v, lvl.."-"..k) end
  end 
end

